package beilv.bootacourse.service.impl;

import beilv.admissionticket.mapper.AdmissionTicketMapper;
import beilv.bootacourse.domain.BootACourse;
import beilv.bootacourse.domain.BootACourseBO;
import beilv.bootacourse.mapper.BootACourseMapper;
import beilv.bootacourse.service.IBootACourseService;
import beilv.common.utils.uuid.IdUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Service
public class BootACourseServiceImpl implements IBootACourseService {

    @Autowired
    private BootACourseMapper courseMapper;

    @Autowired
    private AdmissionTicketMapper ticketMapper;

    @Override
    public int addCourse(BootACourse course) {
        return courseMapper.addCourse(course);
    }

    @Override
    public boolean isOk(BootACourseBO course) {
        return ticketMapper.isOk(course);
    }

    @Override
    public BootACourse getCourseInfo(BootACourseBO courseBo) {
        return courseMapper.getCourseInfo(courseBo);
    }

    @Override
    public int updateCourse(BootACourse course) {
        return courseMapper.updateCourse(course);
    }

    @Override
    public List<BootACourse> getCourseList(BootACourseBO courseBO) {
        return courseMapper.getCourseList(courseBO);
    }
}
